Create an Api Key
Create a new API key for a user
Body
required
application/json
Request to create an API key
- Type: string
name requiredName of the API key to help identify it
- Type: stringenum
role requiredvaluesA D M I N Full administrative access to all resources
M E M B E R Read-only access to all resources
D E V E L O P E R Access to payment operations, typically assigned to API keys used for payment integrations
- Type: boolean
livemode Has the value
trueif the object exists in live mode or the valuefalseif the object exists in test mode.
Responses
- application/json
- application/json
Request Example for post/v1/credentials/api-keys
curl https://api.paypercut.io/v1/credentials/api-keys \
--request POST \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"name": "Production API Key",
"role": "DEVELOPER"
}'
{
"id": "21210021c2855007efa2d657018",
"secret": "sk_test_1234567890abcdef"
}
